package com.fs.company.service;

import com.fs.company.domain.CompanyDeptUserInfo;
import com.fs.statis.dto.ComprehensiveStatisticsDTO;
import com.fs.statis.param.ComprehensiveStatisticsParam;

import java.util.List;

/**
 * @description: 销售端的统计服务
 * @author: Guos
 * @time: 2025/11/13 下午4:21
 */
public interface ICrmStatisticManageService {

    Object getSearchUserInfo(Long id);

    List<CompanyDeptUserInfo> getSearchCompanyInfo(Long companyId);

    /**
     * @param id
     * @return
     */
    List<CompanyDeptUserInfo> getSearchDeptInfo(Long id);

    List<ComprehensiveStatisticsDTO> statisticMain(ComprehensiveStatisticsParam param);
}
